/*
 * writeVideo.h
 *
 *  Created on: Jul 24, 2014
 *      Author: jared
 */

#ifndef writeClippedVideo_h
#define writeClippedVideo_h

std::string intToString(int x);

void getROIPoints(std::map <int, int> &roiLocationMap);

void getPanningPoints(std::map <int, float> &panningTimeMap,
                      std::map <int, int> &panningLocationMap);

int writeClippedVideo(std::string stitchedVideoURL,
                      std::string outputVideoURL,
                      std::string roiFromTrackerFilename);

#endif /* writeClippedVideo_h */
